package com.fs.ybPay.dto;

import com.fs.erp.dto.RefundItemDTO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class RefundOrderDTO {
    private String refundNo;
    private String account;

    /**
     * 店铺状态
     */
    private String shopStatus;

    /**
     * 问题类型
     */
    private String questionType;

    /**
     * 外部售后ID
     */
    private String outerAsId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 退货类型
     */
    private String type;

    /**
     * 商品状态
     */
    private String goodStatus;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 总金额
     */
    private BigDecimal totalAmount;

    /**
     * 订单号
     */
    private String soId;

    /**
     * 物流公司
     */
    private String logisticsCompany;

    /**
     * 支付金额
     */
    private BigDecimal payment;

    /**
     * 物流ID
     */
    private String lId;

    /**
     * 退款金额
     */
    private BigDecimal refund;

    /**
     * 退货商品列表
     */
    private List<RefundItemDTO> items;


    public Map<String, String> toMap() {
        Map<String, String> map = new HashMap<>();
        map.put("refundNo", this.refundNo);
        map.put("account", this.account);
        return map;
    }
}
